# ACE_LSOCK Class Reference

Create a Local ACE_SOCK, which is used for passing file descriptors. More...

`#include <LSOCK.h>`

Inheritance diagram for ACE_LSOCK:

[legend]
List of all members.

## Public Member Functions

void | dump (void) const
| Dump the state of an object.

## Public Attributes

| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.

## Protected Member Functions

| ACE_LSOCK (void)
| Default constructor.
| ACE_LSOCK (ACE_HANDLE handle)
| Initialize based on handle.
ACE_HANDLE | get_handle (void) const
| Get handle.
void | set_handle (ACE_HANDLE handle)
| Set handle.

## Private Attributes

ACE_HANDLE | aux_handle_
| An auxiliary handle used to avoid virtual base classes...

## Detailed Description

Create a Local ACE_SOCK, which is used for passing file descriptors.

## Constructor & Destructor Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE ACE_LSOCK::ACE_LSOCK | ( | void |  | ) | `[protected]`

| Default constructor.

ACE_INLINE ACE_LSOCK::ACE_LSOCK | ( | ACE_HANDLE | handle | ) | `[protected]`

| Initialize based on handle.

## Member Function Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL void ACE_LSOCK::dump | ( | void |  | ) | const

| Dump the state of an object. Reimplemented in ACE_LSOCK_CODgram, ACE_LSOCK_Dgram, and ACE_LSOCK_Stream.

ACE_INLINE ACE_HANDLE ACE_LSOCK::get_handle | ( | void |  | ) | const`[protected]`

| Get handle. Reimplemented in ACE_LSOCK_CODgram, ACE_LSOCK_Dgram, and ACE_LSOCK_Stream.

ACE_INLINE void ACE_LSOCK::set_handle | ( | ACE_HANDLE | handle | ) | `[protected]`

| Set handle. Reimplemented in ACE_LSOCK_CODgram, ACE_LSOCK_Dgram, and ACE_LSOCK_Stream.

## Member Data Documentation

ACE_LSOCK::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented in ACE_LSOCK_CODgram, ACE_LSOCK_Dgram, and ACE_LSOCK_Stream.

ACE_HANDLE ACE_LSOCK::aux_handle_`[private]`

| An auxiliary handle used to avoid virtual base classes...

The documentation for this class was generated from the following files:

- LSOCK.h
- LSOCK.cpp
- LSOCK.inl